Please provide your feedback in this short Flings' survey.
This fling has been deprecated.
Jul 02, 2018

Hello, the script says a HPE BL460c G7 is compatible with vsphere 6.5 U2 but it's not, pity...
I checked on vmware compatibility website.

Brice

Jul 02, 2018

Hi,

Could you please try the script with the '-c' option. This will clean the cache and get the latest compatibility information.

If you still have the same problem, could you please share hardware information and validation details?

I just tried server "ProLiant BL460cG7" with "6.5.0 U2" and it returns the following warnings:

"Server Model 'ProLiant BL460c G7' with Intel Xeon 56xx Series (ID:12838) is certified but current release (6.5 U2) is not supported. More information: http://www.vmware.com/resources/compatibility/detail.php?deviceCategory=server&productid=12838"

Thanks!
Heejeong

Jul 03, 2018

Thanks for your reply, the issue occurs only the html report, when i manually check the host the response is correct (upto 6.5.0 U2) :

HostAgent esx101> upto 6.5.0 U2

[OK] The specified release (VMware vSphere Hypervisor (ESXi) 6.5.0 U2) is upg
radable from this 5.5

Hostesx101: May Not Be Compatible

[SERVER: Warnings] Server 'ProLiant BL460c G7 may not be compatible for ESX
6.5.0 U2
[IO: Warnings] Some IO devices may not be compatible for ESX 6.5.0 U2

Jul 03, 2018

ok when i use :

compchecker_v1_8951845>compchecker.py -c -s XXXXr -u XXXX -r -v 6.5

instead of :

compchecker_v1_8951845>compchecker.py -c -s XXXXr -u XXXX -r -v 6.5.0 U2

It works !

Jul 03, 2018

Hi,

$compchecker.py -c -s XXXXr -u XXXX -r -v 6.5 ==> generates compatibility reports for ESXi 6.5
$compchecker.py -c -s XXXXr -u XXXX -r -v 6.5.0 U2 ===> generates same reports for ESXi 6.5.0 U2

Both are valid commands and they should generate csv and html reports for the specified ESXi version. If any of these report is not correct, could you please share the details?
Thanks,
Heejeong

Jul 04, 2018

Yes but when i use "6.5.0 U2" as a parameter to check compatibility the report says :

Server 'ProLiant BL460c G7' is compatible for ESX 6.5 U2

And it's false !

Regards,

Brice

Jul 05, 2018

Hi
Could you please provide the report information?
The server model name, hardware details, compatibility status, and warnings.
I will take a look at the issue.
Thanks a lot for your help!

Jun 04, 2018

Hello, I am not familiar with using Pyton but would love to use this tool I cannot find all the required components, can you provide links to sites that I can download Pyvmomi, crypto and pyopenssl. My environment is siloed so I have no connectivity to the internet, thanks.

Jun 28, 2018

Dear Cutty,

Could you please try the latest build #8951845? It includes a workaround option for offline case. The option might work for your case.
Please refer to the detailed information in the changelog.
Thanks!
Heejeong

Jun 04, 2018
May 21, 2018

Whether to provide interoperability

May 14, 2018

This is very cool, thank you! Would love to see this kind of functionality embedded into vCenter in the future.